Bug 185093 - Yum clean packages does not do its job
Yum clean packages does not do its job
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: 186156 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-10 11:07 EST by Brian Pepple
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-10 14:39:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Requested files (11.77 KB, application/x-gzip)
2006-03-10 12:40 EST, Brian Pepple
no flags Details

  None (edit)
Description Brian Pepple 2006-03-10 11:07:02 EST
Description of problem:
When running yum clean packages, it does not remove the packages downloaded
during an update 

Version-Release number of selected component (if applicable): yum-2.6.0-1

How reproducible: Everytime

Steps to Reproduce:
1. Update system w/ yum
2. After update, run yum clean packages
3. Watch it report that nothing has been removed, then check the cache location
to verify this fact.
Actual results: It leaves the rpm's that were used to update the system.

Expected results:  It removed the rpm's that were used to update the system.

Additional info:
Comment 1 Seth Vidal 2006-03-10 11:36:37 EST
is the repository that you were hoping to have cleaned out not enabled by default?

ie: did you run:

yum --enablerepo=somerepo update

then run:

yum clean packages

if so then you need to know that 'clean packages' only cleans packages from
enabled repos. Just like update only applies updates from enabled repos.
Comment 2 Brian Pepple 2006-03-10 12:10:14 EST
Nope, just cleaning the enabled repo.  Here's an example of the output after
install wesnoth & it's dependencies with 'yum install wesnoth':

Dependency Installed: SDL_image.i386 0:1.2.4-5.fc5 SDL_net.i386 0:1.2.5-8.fc5
[bpepple@shuttle ~]$ sudo yum clean packages
Loading "installonlyn" plugin
Cleaning up Packages
0 packages removed
[bpepple@shuttle ~]$
Comment 3 Seth Vidal 2006-03-10 12:13:42 EST
- please include your yum.conf and yum.repos.d/*.repo files
- please include a listing of the related directories in /var/cache/yum

Comment 4 Brian Pepple 2006-03-10 12:40:15 EST
Created attachment 125948 [details]
Requested files

Here's a tarball of the requested files you wanted to look at.	I did a 'du -a'
of the /var/cache/yum, but unfortunately I had already removed the rpm's that
were here before filing the bug.
Comment 5 Seth Vidal 2006-03-10 14:25:50 EST
just for grins run this for me:

yum install anypkg_available

let it install

do not run anything but go into /var/cache/yum and find the package.

I bet you won't be able to b/c of a modification to yum 2.6.0 which, if
will result in pkgs being removed after each run of yum.

Comment 6 Brian Pepple 2006-03-10 14:35:25 EST
Yup, you're right.  I did a quick look and couldn't find anything.  The prior
rpm's must have been left over from installation with an older version of yum. 
This can probably be closed then, since it's not really a bug, though it should
probably be mentioned in the FC5 release notes or something.
Comment 7 Seth Vidal 2006-03-10 14:39:04 EST
it's already been added to them
Comment 8 Seth Vidal 2006-03-21 17:10:21 EST
*** Bug 186156 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.